// Embedded Electronics for Theatre
// H-bridge Driver - 17.6.2
// Use dual H-Bridge from Kit
// Remember to drive STANDBY pin to high
// See page 183
// Public Domain


#define PWMA 3
#define PWMB 5
#define AIN1 6
#define AIN2 7
#define BIN1 8
#define BIN2 9

int aspeed, bspeed;
int speedpot, dirpot;

void setup()
{
   pinMode(PWMA,OUTPUT);
   pinMode(PWMB,OUTPUT);
   pinMode(AIN1,OUTPUT);
   pinMode(AIN2,OUTPUT);
   pinMode(BIN1,OUTPUT);
   pinMode(BIN2,OUTPUT);
   
}

void loop()
{
  dirpot = analogRead(0) - 512;
  speedpot = analogRead(1);
  
  if(dirpot < 15 && dirport > -15)
  {
     dirpot = 0; 
  }
  
  aspeed = speedpot + dirpot;
  bspeed = speedpot - dirpot;
  motor(aspeed,AIN1,AIN2,PWMA);
  motor(bspeed,BIN1,BIN2,PWMB);  


}

void motor(int speedy, uint8_t dir1, uint8_t dir2, uint8_t pwm)
{
  if(speedy > 0)
  {
     digitalWrite(dir1,HIGH);
     digitalWrite(dir2,LOW);
     analogWrite(pwm,map(abs(speedy),0,1536,0,255));
  } 
  if(speedy < 0)
  {
     digitalWrite(dir1,LOW);
     digitalWrite(dir2,HIGH);
     analogWrite(pwm,map(abs(speedy),0,1536,0,255));    
  }
  if(speedy == 0)
  {
     digitalWrite(dir1,HIGH);
     digitalWrite(dir2,HIGH);
     analogWrite(pwm,255);    
  }
}
