// Embedded Electronics for Theatre
// Accelerometer movement sensor
// Example 17.9.2
// Reference page 193
// Public Domain

#define DEAD 200 // +/- 200 is dead zone, adjust as needed.
#define SAMPLESIZE 100 // average 100 samples

int a[SAMPLESIZE];
int a_ptr = 0;
int i;
uint32_t average;
int current;

void setup()
{
  pinMode(13,OUTPUT); // Onboard LED
  
  
}

void loop()
{
  a[a_ptr] = analogRead(0) + analogRead(1) + analogRead(2);
  current = a[a_ptr];
  if(a_ptr++ == SAMPLESIZE)
  {
      a_ptr = 0;
  }
  
  
  
  average = 0;
  for(i = 0; i < SAMPLESIZE; i++)
  {
     average += a[i]; 
     average = average / SAMPLESIZE;
  }
  
  if(current < average - DEAD || current > average + DEAD)
  {
    digitalWrite(13,HIGH); // Turn on LED
  }
  else
  {
    digitalWrite(13,LOW); // Turn off LED  
  }
  
    
  delay(100); // Adjust as needed for timing.
              // As-is, this will average over 10 seconds.  
  
}
